Assignments Assignments

Classes | Functions
Image Namespace Reference

## Classes
class | Image32
class | OrientedLineSegment
class | OrientedLineSegmentPairs
class | Pixel32

## Functions
void | BMPReadImage (FILE *fp, Image32 &img)
void | BMPWriteImage (const Image32 &img, FILE *fp)
void | BMPReadImage (std::string fileName, Image32 &img)
void | BMPWriteImage (const Image32 &img, std::string fileName)
void | JPEGReadImage (std::string fileName, Image32 &img)
void | JPEGWriteImage (const Image32 &img, std::string fileName, int quality)
void | JPEGReadImage (FILE *fp, Image32 &img)
void | JPEGWriteImage (const Image32 &img, FILE *fp, int quality)
std::ostream & | operator<< (std::ostream &stream, const OrientedLineSegment &ols)
std::istream & | operator>> (std::istream &stream, OrientedLineSegment &ols)
std::ostream & | operator<< (std::ostream &stream, const OrientedLineSegmentPairs &ols)
std::istream & | operator>> (std::istream &stream, OrientedLineSegmentPairs &ols)

## Function Documentation

## ◆ BMPReadImage() [1/2]

void Image::BMPReadImage | ( | FILE * | fp,
|  | Image32 & | img )

This function read in a BMP file, returning 0 on failure.

## ◆ BMPReadImage() [2/2]

void Image::BMPReadImage | ( | std::string | fileName,
|  | Image32 & | img )

This function read in a BMP file, returning 0 on failure.

## ◆ BMPWriteImage() [1/2]

void Image::BMPWriteImage | ( | const Image32 & | img,
|  | FILE * | fp )

This function writes out a BMP file, returning 0 on failure.

## ◆ BMPWriteImage() [2/2]

void Image::BMPWriteImage | ( | const Image32 & | img,
|  | std::string | fileName )

This function writes out a BMP file, returning 0 on failure.

## ◆ JPEGReadImage() [1/2]

void Image::JPEGReadImage | ( | FILE * | fp,
|  | Image32 & | img )

This function read in a JPEG file, returning 0 on failure.

## ◆ JPEGReadImage() [2/2]

void Image::JPEGReadImage | ( | std::string | fileName,
|  | Image32 & | img )

This function read in a JPEG file, returning 0 on failure.

## ◆ JPEGWriteImage() [1/2]

void Image::JPEGWriteImage | ( | const Image32 & | img,
|  | FILE * | fp,
|  | int | quality )

This function writes out a JPEG file, returning 0 on failure.

## ◆ JPEGWriteImage() [2/2]

void Image::JPEGWriteImage | ( | const Image32 & | img,
|  | std::string | ,
|  | int | quality = 100 )

This function writes out a JPEG file, returning 0 on failure.

## ◆ operator<<() [1/2]

std::ostream & Image::operator<< | ( | std::ostream & | stream,
|  | const OrientedLineSegment & | ols )

Functionality for outputing an oriented line segment to a stream.

## ◆ operator<<() [2/2]

std::ostream & Image::operator<< | ( | std::ostream & | stream,
|  | const OrientedLineSegmentPairs & | ols )

Functionality for outputing a set of oriented line segment pairs to a stream.

## ◆ operator>>() [1/2]

std::istream & Image::operator>> | ( | std::istream & | stream,
|  | OrientedLineSegment & | ols )

Functionality for inputing an oriented line segment from a stream.

## ◆ operator>>() [2/2]

std::istream & Image::operator>> | ( | std::istream & | stream,
|  | OrientedLineSegmentPairs & | ols )

Functionality for inputing a set of oriented line segment pairs from a stream.